Package twisted :: Package cred :: Module credentials :: Class UsernamePassword |
[frames | no frames]

## Class UsernamePassword

Known Subclasses:
  `LOGINCredentials`, `PLAINCredentials`

Method Summary
| `__init__(self, username, password)`
| `checkPassword(self, password)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.cred.credentials.IUsern...`

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.cred.credentials.IUsernamePassword at 0x84539dc>,)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:51 2003 | http://epydoc.sf.net